<?php
/*
Plugin Name: AddInto
Plugin URI: http://www.addinto.com/tools/wordpress.php
Description: AddInto is a bookmarking and sharing button that helps website publishers and bloggers spread their content across the web by making it easy for visitors to bookmark and share content to their favorite social destinations. (<a href="options-general.php?page=/addinto/addinto_plugin.php">Settings</a>)
Version: 2.3.0
Author: AddInto
Author URI: http://www.addinto.com
*/




if (!defined('ADDINTOPLUGINDEFINE')) define('ADDINTOPLUGINDEFINE', 1);
else return;

// Pre-2.6 compatibility
if ( !defined('WP_CONTENT_URL') ) define('WP_CONTENT_URL', get_option('siteurl').'/wp-content');
if ( !defined('WP_PLUGIN_URL')  ) define('WP_PLUGIN_URL', WP_CONTENT_URL.'/plugins');

$addIntoPluginPath = WP_PLUGIN_URL.'/'.plugin_basename(dirname(__FILE__));
	
function addIntoPluginInit ()
{
	global $addIntoPluginPath;
	
	add_filter('admin_menu', 'addIntoPluginAdminMenu');
	
	load_plugin_textdomain('addinto', $addIntoPluginPath.'/lang', plugin_basename(dirname(__FILE__)).'/lang');
	
	add_option('ai2_button_logo', 'text_button');
	add_option('ai2_text_button', __('Bookmark / Share', 'addinto'));
	add_option('ai2_align', 'left');
	add_option('ai2_on_home', 'yes');
	add_option('ai2_on_pages', 'no');
	add_option('ai2_on_archives', 'yes');
	add_option('ai2_on_categories', 'yes');
	add_option('ai2_button_type', 'dropdown');
	add_option('ai2_hide_embeds', 'no');
	add_option('ai2_dd_onclick', 'onmouseover_dd');
	add_option('ai2_nb_srvs');
	add_option('ai2_nb_columns');
	add_option('ai2_srv');
	add_option('ai2_srvs');
	add_option('ai2_sharebox_srvs');
	
	add_filter('the_content', 'addIntoPluginDisplayButton');
	add_filter('the_excerpt', 'addIntoPluginDisplayButton');
	
	if($_POST['addinto'])
		addIntoPluginUpdateOptions($_POST['addinto']);
}

function addIntoPluginUpdateOptions ($vars)
{
	foreach($vars as $key => $value)
		update_option($key, $value);
}

function addIntoPluginAdminMenu ()
{
	add_options_page('AddInto Options', 'AddInto', 8, __FILE__, 'addIntoPluginOptions');
}

function addIntoPluginOptions ()
{
	global $addIntoPluginPath;
	$lang = explode(",", get_bloginfo('language'));
	$lang = StrToLower(substr(chop($lang[0]),0,2));
	$lang = ($lang == 'fr') ? 'fr' : 'en';
	?>

	<?php if ( !empty($_POST ) ) { ?>
	<div class="updated fade"><p><strong><?php _e('Options saved', 'addinto') ?></strong></p></div>
	<?php } ?>

	<div class="wrap">
	<h2><?php _e('AddInto Options', 'addinto') ?></h2>
		<form method="post" action="">
			<table class="form-table">
				<tr valign="top">
					<th scope="row" width="220"><?php _e('Button image', 'addinto') ?> :</th>
					<td>
						<span id="logos" style="display:none;">
							<div style="float:left; width:25px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; border-top:1px solid #ccc;"><input type="radio" name="addinto[ai2_button_logo]" value="ai2_16x16.png"<?php echo $ai2_16x16; ?> id="ai2_16x16" <?php echo (get_option('ai2_button_logo') == 'ai2_16x16.png') ? ' checked="checked"' : '' ?> /></div>
							<div style="float:left; width:495px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; border-top:1px solid #ccc;"><label for="ai2_16x16"><img src="<?php echo $addIntoPluginPath; ?>/logos/ai2_16x16.png" alt="" style="border:0;" /></label></div>
							
							<?php if($lang == 'fr') { ?>
								<div style="float:left; width:25px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; clear:both;"><input type="radio" name="addinto[ai2_button_logo]" value="partager_v2.gif"<?php echo (get_option('ai2_button_logo') == 'partager_v2.gif') ? ' checked="checked"' : ''; ?> id="partager_v2" /> </div>
								<div style="float:left; width:495px; border-bottom:1px solid #ccc; height:16px; padding:6px 0;"><label for="partager_v2"><img src="<?php echo $addIntoPluginPath; ?>/logos/partager_v2.gif" alt="" style="border:0;" /></label></div>
								
								<div style="float:left; width:25px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; clear:both;"><input type="radio" name="addinto[ai2_button_logo]" value="favoris_partage_v2.gif"<?php echo (get_option('ai2_button_logo') == 'favoris_partage_v2.gif') ? ' checked="checked"' : ''; ?> id="favoris_partage_v2" /> </div>
								<div style="float:left; width:495px; border-bottom:1px solid #ccc; height:16px; padding:6px 0;"><label for="favoris_partage_v2"><img src="<?php echo $addIntoPluginPath; ?>/logos/favoris_partage_v2.gif" alt="" style="border:0;" /></label></div>
							<?php } ?>
							
							<div style="float:left; width:25px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; clear:both;"><input type="radio" name="addinto[ai2_button_logo]" value="bookmark_share_v2.gif"<?php echo (get_option('ai2_button_logo') == 'bookmark_share_v2.gif') ? ' checked="checked"' : ''; ?> id="bookmark_share_v2" /> </div>
							<div style="float:left; width:495px; border-bottom:1px solid #ccc; height:16px; padding:6px 0;"><label for="bookmark_share_v2"><img src="<?php echo $addIntoPluginPath; ?>/logos/bookmark_share_v2.gif" alt="" style="border:0;" /></label></div>
							
							<div style="float:left; width:25px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; clear:both;"><input type="radio" name="addinto[ai2_button_logo]" value="bookmark_v2.gif"<?php echo (get_option('ai2_button_logo') == 'bookmark_v2.gif') ? ' checked="checked"' : ''; ?> id="bookmark_v2" /> </div>
							<div style="float:left; width:495px; border-bottom:1px solid #ccc; height:16px; padding:6px 0;"><label for="bookmark_v2"><img src="<?php echo $addIntoPluginPath; ?>/logos/bookmark_v2.gif" alt="" style="border:0;" /></label></div>
							
							<div style="float:left; width:25px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; clear:both;"><input type="radio" name="addinto[ai2_button_logo]" value="share_v2.gif"<?php echo (get_option('ai2_button_logo') == 'share_v2.gif') ? ' checked="checked"' : ''; ?> id="share_v2" /> </div>
							<div style="float:left; width:495px; border-bottom:1px solid #ccc; height:16px; padding:6px 0;"><label for="share_v2"><img src="<?php echo $addIntoPluginPath; ?>/logos/share_v2.gif" alt="" style="border:0;" /></label></div>
							
							<div style="float:left; width:25px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; clear:both;"><input type="radio" name="addinto[ai2_button_logo]" value="text_button"<?php echo (get_option('ai2_button_logo') == 'text_button') ? ' checked="checked"' : ''; ?> id="text_button" /> </div>
							<div style="float:left; width:20px; border-bottom:1px solid #ccc; height:16px; padding:6px 0;"><label for="text_button"><img src="<?php echo $addIntoPluginPath; ?>/logos/ai2_16x16.png" alt="" style="border:0; vertical-align:middle;" /></label></div>
							<div style="float:left; width:475px; border-bottom:1px solid #ccc; height:24px; padding:2px 0;"><input type="text" name="addinto[ai2_text_button]" value="<?php echo get_option('ai2_text_button'); ?>" onclick="document.getElementById('text_button').checked=true;" /></div>
							<div style="clear:both; line-height:30px;">&nbsp;</div>
						</span>
						
						<span id="logo">
							<?php if(get_option('ai2_button_logo') == 'text_button') { ?>
								<div style="float:left; border-bottom:1px solid #ccc; border-top:1px solid #ccc; width:20px; height:16px; padding:6px 0;"><img src="<?php echo $addIntoPluginPath; ?>/logos/ai2_16x16.png" alt="" style="border:0; vertical-align:middle;" /></div>
								<div style="float:left; border-bottom:1px solid #ccc; border-top:1px solid #ccc; width:470px; height:24px; padding:2px 0;"><input type="text" name="addinto[ai2_text_button]" value="<?php echo get_option('ai2_text_button'); ?>" /></div>
							<?php } else { ?>
								<div style="float:left; border-bottom:1px solid #ccc; border-top:1px solid #ccc; width:490px; height:16px; padding:6px 0;">
									<img src="<?php echo $addIntoPluginPath.'/logos/'.get_option('ai2_button_logo'); ?>" alt="" style="border:0; vertical-align:middle;" />
								</div>
							<?php } ?>
							<div style="float:left; border-width:1px; border-style:solid; border-color:#ccc; width:30px; height:16px; padding:6px 0; text-align:center; font-size:16px; font-weight:bold; line-height:16px;">
								<a href="javascript:void(0);" onclick="document.getElementById('logos').style.display='block'; document.getElementById('logo').style.display='none';" style="text-decoration:none;">+</a>
							</div>
							<div style="clear:both; line-height:30px;">&nbsp;</div>
						</span>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row"><?php _e('Alignement', 'addinto') ?> :</th>
					<td>
						<select name="addinto[ai2_align]" style="width:100px;" >
							<option value="left"<?php echo (get_option('ai2_align') == 'left') ? ' selected="selected"' : ''; ?>><?php _e('Left', 'addinto') ?></option>
							<option value="center"<?php echo (get_option('ai2_align') == 'center') ? ' selected="selected"' : ''; ?>><?php _e('Center', 'addinto') ?></option>
							<option value="right"<?php echo (get_option('ai2_align') == 'right') ? ' selected="selected"' : ''; ?>><?php _e('Right', 'addinto') ?></option>
						</select>
						<div style="clear:both; line-height:30px;">&nbsp;</div>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row"><?php _e('Display on', 'addinto') ?> :</th>
					<td>
						<div style="float:left; width:150px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; border-top:1px solid #ccc;"><?php _e('Home', 'addinto') ?> : </div>
						<div style="float:left; width:100px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; border-top:1px solid #ccc;"><input type="radio" name="addinto[ai2_on_home]" value="yes"<?php echo (get_option('ai2_on_home') == 'yes') ? ' checked="checked"' : ''; ?> /> <?php _e('Yes', 'addinto') ?></div>
						<div style="float:left; width:270px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; border-top:1px solid #ccc;"><input type="radio" name="addinto[ai2_on_home]" value="no"<?php echo (get_option('ai2_on_home') == 'no') ? ' checked="checked"' : ''; ?> /> <?php _e('No', 'addinto') ?></div>
						<div style="float:left; width:150px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; clear:both;"><?php _e('Pages', 'addinto') ?> : </div>
						<div style="float:left; width:100px; border-bottom:1px solid #ccc; height:16px; padding:6px 0;"><input type="radio" name="addinto[ai2_on_pages]" value="yes"<?php echo (get_option('ai2_on_pages') == 'yes') ? ' checked="checked"' : ''; ?> /> <?php _e('Yes', 'addinto') ?></div>
						<div style="float:left; width:270px; border-bottom:1px solid #ccc; height:16px; padding:6px 0;"><input type="radio" name="addinto[ai2_on_pages]" value="no"<?php echo (get_option('ai2_on_pages') == 'no') ? ' checked="checked"' : ''; ?> /> <?php _e('No', 'addinto') ?></div>
						<div style="float:left; width:150px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; clear:both;"><?php _e('Archives', 'addinto') ?> : </div>
						<div style="float:left; width:100px; border-bottom:1px solid #ccc; height:16px; padding:6px 0;"><input type="radio" name="addinto[ai2_on_archives]" value="yes"<?php echo (get_option('ai2_on_archives') == 'yes') ? ' checked="checked"' : ''; ?> /> <?php _e('Yes', 'addinto') ?></div>
						<div style="float:left; width:270px; border-bottom:1px solid #ccc; height:16px; padding:6px 0;"><input type="radio" name="addinto[ai2_on_archives]" value="no"<?php echo (get_option('ai2_on_archives') == 'no') ? ' checked="checked"' : ''; ?> /> <?php _e('No', 'addinto') ?></div>
						<div style="float:left; width:150px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; clear:both;"><?php _e('Categories', 'addinto') ?> : </div>
						<div style="float:left; width:100px; border-bottom:1px solid #ccc; height:16px; padding:6px 0;"><input type="radio" name="addinto[ai2_on_categories]" value="yes"<?php echo (get_option('ai2_on_categories') == 'yes') ? ' checked="checked"' : ''; ?> /> <?php _e('Yes', 'addinto') ?></div>
						<div style="float:left; width:270px; border-bottom:1px solid #ccc; height:16px; padding:6px 0;"><input type="radio" name="addinto[ai2_on_categories]" value="no"<?php echo (get_option('ai2_on_categories') == 'no') ? ' checked="checked"' : ''; ?> /> <?php _e('No', 'addinto') ?></div>
						<div style="clear:both; line-height:30px;">&nbsp;</div>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row"><?php _e('Button type', 'addinto') ?> :</th>
					<td>
						<div style="float:left; width:20px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; border-top:1px solid #ccc;"><input type="radio" name="addinto[ai2_button_type]" value="dropdown"<?php echo (get_option('ai2_button_type') == 'dropdown') ? ' checked="checked"' : ''; ?> onclick="document.getElementById('js_options').style.display = 'block'; document.getElementById('sharebox_servs').style.display = 'none';" /></div>
						<div style="float:left; width:500px; border-bottom:1px solid #ccc; height:20px; padding:4px 0; border-top:1px solid #ccc;">Dropdown</div>
						<div style="float:left; width:20px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; clear:both;"><input type="radio" name="addinto[ai2_button_type]" value="static"<?php echo (get_option('ai2_button_type') == 'static') ? ' checked="checked"' : ''; ?> onclick="document.getElementById('js_options').style.display = 'none'; document.getElementById('sharebox_servs').style.display = 'none';" /></div>
						<div style="float:left; width:500px; border-bottom:1px solid #ccc; height:20px; padding:4px 0;">Static</div>
						<div style="float:left; width:20px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; clear:both;"><input type="radio" name="addinto[ai2_button_type]" value="sharebox"<?php echo (get_option('ai2_button_type') == 'sharebox') ? ' checked="checked"' : ''; ?> onclick="document.getElementById('js_options').style.display = 'block'; document.getElementById('sharebox_servs').style.display = 'block';" /></div>
						<div style="float:left; width:500px; border-bottom:1px solid #ccc; height:20px; padding:4px 0;">ShareBox <a href="http://www.addinto.com/sharebox/" target="_blank" style="text-decoration:none;">(?)</a></div>
						<div style="clear:both; line-height:30px;">&nbsp;</div>
					</td>
				</tr>
			</table>
				
			<table class="form-table" id="sharebox_servs" style="display:<?php echo ( get_option('ai2_button_type') == 'sharebox' ) ? 'block' : 'none' ?>;">
				<tr valign="top">
					<th scope="row" width="220"><?php _e('ShareBox services', 'addinto') ?> :</th>
					<td>
						<input type="text" name="addinto[ai2_sharebox_srvs]" id="ai2_sharebox_srvs" value="<?php echo get_option('ai2_sharebox_srvs'); ?>" style="width:350px;" />
						(<?php _e('comma-separated', 'addinto') ?>)<br />
						<?php _e('Services list', 'addinto') ?> : <a href="http://www.addinto.com/services/" target="_blank">http://www.addinto.com/services/</a><br />
						<?php _e('if empty, default services', 'addinto') ?> : <i>bookmark,facebook,twitter,google_buzz,separator,more</i>
						<div style="clear:both; line-height:30px;">&nbsp;</div>
					</td>
				</tr>
			</table>
			
			<!--  dropdown options -->
			<table class="form-table" id="js_options" style="display:<?php echo ( get_option('ai2_button_type') == 'static' ) ? 'none' : 'block' ?>;">
				<tr valign="top">
					<th scope="row" width="220">
						<?php _e('Hide embedded objects', 'addinto') ?> :<br />
						(<?php _e('like flash and videos', 'addinto') ?>)
					</th>
					<td>
						<div style="float:left; width:20px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; border-top:1px solid #ccc;"><input type="radio" name="addinto[ai2_hide_embeds]" value="yes"<?php echo (get_option('ai2_hide_embeds') == 'yes') ? ' checked="checked"' : ''; ?> /></div>
						<div style="float:left; width:500px; border-bottom:1px solid #ccc; height:20px; padding:4px 0; border-top:1px solid #ccc;"><?php _e('Yes', 'addinto') ?></div>
						<div style="float:left; width:20px; border-bottom:1px solid #ccc; height:16px; padding:6px 0; clear:both;"><input type="radio" name="addinto[ai2_hide_embeds]" value="no"<?php echo (get_option('ai2_hide_embeds') == 'no') ? ' checked="checked"' : ''; ?> /></div>
						<div style="float:left; width:500px; border-bottom:1px solid #ccc; height:20px; padding:4px 0;"><?php _e('No', 'addinto') ?></div>
						<div style="clear:both; line-height:30px;">&nbsp;</div>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<?php _e('Dropdown menu Options', 'addinto') ?> :
					</th>
					<td>
						<div style="float:left; width:20px; border-bottom:1px solid #ccc; height:20px; padding:4px 0; border-top:1px solid #ccc;"><input type="radio" name="addinto[ai2_dd_onclick]" value="onmouseover_dd"<?php echo (get_option('ai2_dd_onclick') == 'onmouseover_dd') ? ' checked="checked"' : ''; ?> /></div>
						<div style="float:left; width:500px; border-bottom:1px solid #ccc; height:24px; padding:2px 0; border-top:1px solid #ccc;"><?php _e('Show the menu onmouseover', 'addinto') ?></div>
						<div style="float:left; width:20px; border-bottom:1px solid #ccc; height:20px; padding:4px 0; clear:both;"><input type="radio" name="addinto[ai2_dd_onclick]" value="onclick_dd"<?php echo (get_option('ai2_dd_onclick') == 'onclick_dd') ? ' checked="checked"' : ''; ?> /></div>
						<div style="float:left; width:500px; border-bottom:1px solid #ccc; height:24px; padding:2px 0;"><?php _e('Show the menu onclick', 'addinto') ?></div>
						<div style="float:left; width:20px; border-bottom:1px solid #ccc; height:20px; padding:4px 0; clear:both;"><input type="radio" name="addinto[ai2_dd_onclick]" value="onclick_box"<?php echo (get_option('ai2_dd_onclick') == 'onclick_box') ? ' checked="checked"' : ''; ?> /></div>
						<div style="float:left; width:500px; border-bottom:1px solid #ccc; height:24px; padding:2px 0;"><?php _e('Show the lightbox onclick (no dropdown menu)', 'addinto') ?></div>
						<div style="clear:both; line-height:30px;">&nbsp;</div>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<?php _e('Number of services per page', 'addinto') ?> :
					</th>
					<td>
						<input type="text" name="addinto[ai2_nb_srvs]" value="<?php echo get_option('ai2_nb_srvs'); ?>" style="width:100px;" /> (<?php _e('if empty, default = 32', 'addinto') ?>)
						<div style="clear:both; line-height:30px;">&nbsp;</div>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<?php _e('Columns number in the lightbox', 'addinto') ?> :
					</th>
					<td>
						<select name="addinto[ai2_nb_columns]" style="width:100px;" >
							<option value="2"<?php echo (get_option('ai2_nb_columns') == '2') ? ' selected="selected"' : ''; ?>>2</option>
							<option value="3"<?php echo (get_option('ai2_nb_columns') == '3') ? ' selected="selected"' : ''; ?>>3</option>
							<option value=""<?php  echo (get_option('ai2_nb_columns') == '')  ? ' selected="selected"' : ''; ?>>4 (<?php _e('Default', 'addinto') ?>)</option>
							<option value="5"<?php echo (get_option('ai2_nb_columns') == '5') ? ' selected="selected"' : ''; ?>>5</option>
							<option value="6"<?php echo (get_option('ai2_nb_columns') == '6') ? ' selected="selected"' : ''; ?>>6</option>
						</select>
						<div style="clear:both; line-height:30px;">&nbsp;</div>
					</td>
				</tr>
				<tr valign="top">
					<th scope="row">
						<?php _e('Customize services', 'addinto') ?> :
					</th>
					<td>
						<div><?php _e('Leave empty the next two fields to use the default services.', 'addinto') ?></div>
						<br />
						<div>
							<?php _e('Dropdown menu', 'addinto') ?> :<br />
							<input type="text" name="addinto[ai2_srv]" id="ai2_srv" value="<?php echo get_option('ai2_srv'); ?>" style="width:350px;" /> 
							(<?php _e('comma-separated', 'addinto') ?>)<br />
							<a href="http://www.addinto.com/tools/gen_srvs.php?var=ai2_srv" target="_blank"><?php _e('Select services', 'addinto') ?></a>
							
						</div>
						<br />
						<div>
							LightBox :<br />
							<input type="text" name="addinto[ai2_srvs]" id="ai2_srvs" value="<?php echo get_option('ai2_srvs'); ?>" style="width:350px;" /> 
							(<?php _e('comma-separated', 'addinto') ?>)<br />
							<a href="http://www.addinto.com/tools/gen_srvs.php?var=ai2_srvs" target="_blank"><?php _e('Select services', 'addinto') ?></a>
							
						</div>
						<div style="clear:both; line-height:30px;">&nbsp;</div>
					</td>
				</tr>
			</table>
			
			<!--  Submit button -->
			<p class="submit">
				<input type="submit" name="Submit" class="button-primary" value="<?php _e('Save Changes', 'addinto') ?>" />
			</p>
		</form>
	</div>
	<?php
}

function addIntoPluginCreateButton ()
{
	global $addIntoPluginPath, $post;
	$post_link  = urlencode(get_permalink($post->ID));
	$post_title = urlencode(get_the_title($post->ID));
	$logo = get_option('ai2_button_logo');
	$dd_srvs = (get_option('ai2_srv') != '') ? 'var ai2_bkmk = "'.get_option('ai2_srv').'";' : ''; // Dropdown services
	$pi_srvs = (get_option('ai2_srvs') != '') ? 'var ai2_bkmks = "'.get_option('ai2_srvs').'";' : ''; // PopIn services
	$hide_embeds = (get_option('ai2_hide_embeds') == 'yes') ? 'var ai2_hide_embeds = true;' : '';
	$servs_nb = ( get_option('ai2_nb_srvs') && ctype_digit(get_option('ai2_nb_srvs')) ) ? 'var ai2_per_page = "'.get_option('ai2_nb_srvs').'";' : '';
	$cols_nb = (get_option('ai2_nb_columns') != '') ? 'var ai2_cols = "'.get_option('ai2_nb_columns').'";' : '';
	if(get_option('ai2_dd_onclick') == 'onclick_dd') { $onclick_dd = 'onclick'; $onclick_box = ''; }
	else if(get_option('ai2_dd_onclick') == 'onmouseover_dd') { $onclick_dd = 'onmouseover'; $onclick_box = ''; }
	else { $onclick_box = 'bkmk'; $onclick_dd = 'onclick'; }
	$onmouseout = (get_option('ai2_dd_onclick') != 'onclick_box') ? ' onmouseout="ai2close_bkmk();"' : '';
	$text_button_style = ($logo == 'text_button') ? ' style="background:url(\''.$addIntoPluginPath.'/logos/ai2_16x16.png\') no-repeat scroll 0 0 transparent !important;  vertical-align:text-bottom; line-height:16px; height:16px; padding:0 0 0 20px; display:inline-block; margin:0 3px;"' : '';
	$btnType = get_option('ai2_button_type');
	
	$button = '';
	$button .= '<div style="text-align:'.get_option('ai2_align').'; margin-bottom: 7px;">';
	//
	// Start building button
	if($btnType != 'sharebox') {
		if($btnType == 'static') // Static button, anchor opening
		{
			$button .= '<a'.$text_button_style.' href="http://www.addinto.com/ai?type=bkmk&amp;url='.$post_link.'&amp;title='.$post_title.'" onclick="javascript:(function(){window.open(\'http://www.addinto.com/ai?type=bkmk&amp;url='.$post_link.'&amp;title='.$post_title.'\', \'AddInto\', \'location=no, resizable=yes, scrollbars=yes, toolbar=no, menubar=no, status=no, width=520, height=330, left=\'+(screen.width-533)/2+\', top=\'+(screen.height-335)/2)})(); return false;">';
		}
		else // Dropdown button, anchor opening
		{
			$button .= '<a'.$text_button_style.' href="http://www.addinto.com/ai?type=bkmk&amp;url='.$post_link.'&amp;title='.$post_title.'" '.$onclick_dd.'="ai2display_bkmk(this, \''.$onclick_box.'\', \''.$post_title.'\', \''.$post_link.'\'); return false;"'.$onmouseout.'>';
		}
		// anchor content
		if($logo == 'text_button')
		{
			$button .= get_option('ai2_text_button');
		}
		else
		{
			$button .= '<img src="'.$addIntoPluginPath.'/logos/'.$logo.'" alt="'.__('Bookmark/share via AddInto', 'addinto').'" style="border:0;" />';
		}
		// colsing anchor
		$button .= '</a>';
	}
	else // ShareBox
	{
		$sharebox_servs = (get_option('ai2_sharebox_srvs') != '') ? strtolower(get_option('ai2_sharebox_srvs')) : 'bookmark,facebook,twitter,google_buzz,separator,more';
		$arr_dd_servs = explode(",", $sharebox_servs);
		$button .= '<div class="addinto_sharebox" addinto:url="'.$post_link.'" addinto:title="'.$post_title.'">';
		foreach($arr_dd_servs as $key => $srv)
		{
			$srv = (get_option('ai2_sharebox_srvs') != '') ? str_replace(" ", '_', trim($srv)) : $srv;
			if($srv == 'more')
			{
				switch(get_option('ai2_dd_onclick'))
				{
					case 'onclick_dd'	  :	$srv = 'more_dd_click';		break;
					case 'onmouseover_dd' : $srv = 'more_dd'; break;
					default				  :	$srv = 'more';
				}
				if($logo == 'text_button')
				{
					$button .= '<a'.$text_button_style.' class="addinto_button_'.$srv.'">';
					$button .= get_option('ai2_text_button');
					
				}
				else
				{
					$button .= '<a class="addinto_button_'.$srv.'" style="line-height:16px; vertical-align:text-bottom; height:16px; margin:0 3px; display:inline-block;">';
					$button .= '<img src="'.$addIntoPluginPath.'/logos/'.$logo.'" alt="'.__('Bookmark/share via AddInto', 'addinto').'" style="border:0;" />';
				}
				$button .= '</a>';
			}
			else
			{
				$button .= '<a class="addinto_button_'.$srv.'" style="margin:0 3px;"></a>';
			}
		}
		$button .= '</div>';
	}
	//
	// Options and script for Dropdown button/ShareBox
	if($btnType != 'static')
	{
		if( $dd_srvs != '' || $pi_srvs != '' || $hide_embeds != '' || $servs_nb != '' || $cols_nb != '' )
		{
			$button .= '<script type="text/javascript">'.$dd_srvs.$pi_srvs.$hide_embeds.$servs_nb.$cols_nb.'</script>';
		}
		$button .= '<script type="text/javascript" src="http://www.addinto.com/ai/ai2_bkmk.js"></script>';
	}
	// End building button
	$button .= '</div>';
	
	return $button;
}

function addIntoPluginDisplayButton ($content)
{
	// echo addIntoPluginCreateButton();
	// echo $display_archives.'<br />';
	// echo 'is_single: '.is_single().'<br />is_home: '.is_home().'<br />is_page: '.is_page().'<br />is_archive: '.is_archive().'<br />is_category '.is_category();
	
	if
	(
		( is_single()																  ) ||
		( is_home()		&&					 get_option('ai2_on_home')		 == 'yes' ) ||
		( is_page()		&&					 get_option('ai2_on_pages')		 == 'yes' ) ||
		( is_archive()	&& !is_category() && get_option('ai2_on_archives')	 == 'yes' ) ||
		( is_category() &&					 get_option('ai2_on_categories') == 'yes' )
	)
	{
		return $content .= addIntoPluginCreateButton();
	}
	else
	{
		return $content;
	}
}
	
addIntoPluginInit();
?>
